By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
435,635 Members | 2,060 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 435,635 IT Pros & Developers. It's quick & easy.

ASP.NET on Windows 2000 server

P: n/a
Dear Friends

My developer environmment has a Windows 2000 SP4 Server, and I can´t
to update to 2003 or 2008, for reasons of... money.

But, I need to install in this 2000 Server SP4 the ASP.NET framework.

How versions can I install?
Can I install ASP.NET 2.0?
And ASP.NET 3.5? This is the desired framework

Thanks in advance.
Hércules Russano
HRsoft Informática
Rio de Janeiro - Brasil
http://www.hrsoft.com.br
Jun 27 '08 #1
Share this Question
Share on Google+
4 Replies


P: n/a
re:
!Can I install ASP.NET 2.0?
!And ASP.NET 3.5? This is the desired framework

You can run ASP.NET 2.0 on Windows 2000 SP4,
but you will not be able to run ASP.NET 3.5.

The operating systems supported for 3.5 are Windows Server 2003/2008, Vista and XP.


Juan T. Llibre, asp.net MVP
asp.net faq : http://asp.net.do/faq/
foros de asp.net, en español : http://asp.net.do/foros/
======================================
"Hrsoft" <us****@hrsoft.com.brwrote in message news:v0********************************@4ax.com...
Dear Friends

My developer environmment has a Windows 2000 SP4 Server, and I can´t
to update to 2003 or 2008, for reasons of... money.

But, I need to install in this 2000 Server SP4 the ASP.NET framework.

How versions can I install?
Can I install ASP.NET 2.0?
And ASP.NET 3.5? This is the desired framework

Thanks in advance.
Hércules Russano
HRsoft Informática
Rio de Janeiro - Brasil
http://www.hrsoft.com.br

Jun 27 '08 #2

P: n/a
"Hrsoft" <us****@hrsoft.com.brwrote in message
news:v0********************************@4ax.com...
My developer environmment has a Windows 2000 SP4 Server, and I can´t
to update to 2003 or 2008, for reasons of... money.

But, I need to install in this 2000 Server SP4 the ASP.NET framework.

How versions can I install?
Can I install ASP.NET 2.0?
And ASP.NET 3.5? This is the desired framework
Several things:

1) Microsoft's mainstream support for Windows 2000 Server ended nearly three
years ago, and mainstream support for SP4 just over a year ago:
http://support.microsoft.com/lifecyc...ilter=FilterNO

I'm assuming that you haven't purchased an extended support contract, as
these are very expensive. I appreciate that money is an issue for you, but
continuing to battle away with outdated technology is a completely false
economy, IMO...

2) There's no such product as the ASP.NET Framework per se - there's the
..NET Framework, and ASP.NET is a technology which uses it.

v2 of the .NET Framework is supported on Windows 2000:
http://www.microsoft.com/downloads/d...displaylang=en

But v3.5 isn't:
http://www.microsoft.com/downloads/d...displaylang=en

So, if you want ASP.NET 3.5, you'll have to upgrade from Windows 2000.

3) Although it is possible to develop ASP.NET apps (of any version) without
one of the versions of Visual Studio, I can't recommend it - it's just too
much hassle. Therefore, if you want to develop ASP.NET 3.5 apps, at the very
least you will need Visual Web Developer 2008 Express:
http://www.microsoft.com/express/vwd/ This is free, but is not supported on
Windows 2000:
http://www.microsoft.com/products/in...8bd48&type=ovr
--
Mark Rae
ASP.NET MVP
http://www.markrae.net

Jun 27 '08 #3

P: n/a
And what is your production environment?

--
Eliyahu Goldin,
Software Developer
Microsoft MVP [ASP.NET]
http://msmvps.com/blogs/egoldin
http://usableasp.net
"Hrsoft" <us****@hrsoft.com.brwrote in message
news:v0********************************@4ax.com...
Dear Friends

My developer environmment has a Windows 2000 SP4 Server, and I can´t
to update to 2003 or 2008, for reasons of... money.

But, I need to install in this 2000 Server SP4 the ASP.NET framework.

How versions can I install?
Can I install ASP.NET 2.0?
And ASP.NET 3.5? This is the desired framework

Thanks in advance.
Hércules Russano
HRsoft Informática
Rio de Janeiro - Brasil
http://www.hrsoft.com.br

Jun 27 '08 #4

P: n/a
Dear Mark

Yes, you are right. With old technologies I can´t to develope for the
new times.
I own a small ISV in Brazil, that developes desktop apps, but with
need to develope to Web too (with ASP.NET), updating from old ASP 3

I will contact MS and buy a signature to ISV Empower, that is a very
good chance to update e develope MS apps, with little money.

Thanks.

On Tue, 24 Jun 2008 14:41:14 +0100, "Mark Rae [MVP]"
<ma**@markNOSPAMrae.netwrote:
>"Hrsoft" <us****@hrsoft.com.brwrote in message
news:v0********************************@4ax.com.. .
>My developer environmment has a Windows 2000 SP4 Server, and I can´t
to update to 2003 or 2008, for reasons of... money.

But, I need to install in this 2000 Server SP4 the ASP.NET framework.

How versions can I install?
Can I install ASP.NET 2.0?
And ASP.NET 3.5? This is the desired framework

Several things:

1) Microsoft's mainstream support for Windows 2000 Server ended nearly three
years ago, and mainstream support for SP4 just over a year ago:
http://support.microsoft.com/lifecyc...ilter=FilterNO

I'm assuming that you haven't purchased an extended support contract, as
these are very expensive. I appreciate that money is an issue for you, but
continuing to battle away with outdated technology is a completely false
economy, IMO...

2) There's no such product as the ASP.NET Framework per se - there's the
.NET Framework, and ASP.NET is a technology which uses it.

v2 of the .NET Framework is supported on Windows 2000:
http://www.microsoft.com/downloads/d...displaylang=en

But v3.5 isn't:
http://www.microsoft.com/downloads/d...displaylang=en

So, if you want ASP.NET 3.5, you'll have to upgrade from Windows 2000.

3) Although it is possible to develop ASP.NET apps (of any version) without
one of the versions of Visual Studio, I can't recommend it - it's just too
much hassle. Therefore, if you want to develop ASP.NET 3.5 apps, at the very
least you will need Visual Web Developer 2008 Express:
http://www.microsoft.com/express/vwd/ This is free, but is not supported on
Windows 2000:
http://www.microsoft.com/products/in...8bd48&type=ovr
Jun 27 '08 #5

This discussion thread is closed

Replies have been disabled for this discussion.